Package org.linphone.core

# Interface AccountManagerServicesRequestListener

All Known Implementing Classes:
  `AccountManagerServicesRequestListenerStub`

public interface AccountManagerServicesRequestListener
An object to handle the callbacks for `AccountManagerServicesRequest`
object.

## Method Summary

Modifier and Type
Method
Description
`void`
`onDevicesListFetched(AccountManagerServicesRequest request, AccountDevice[] devicesList)`
Callback for notifying when the
#LinphoneAccountManagerServicesRequestGetDevicesList request has results
available.
`void`
`onRequestError(AccountManagerServicesRequest request, int statusCode, String errorMessage, Dictionary parameterErrors)`
Callback for notifying a request has failed.
`void`
`onRequestSuccessful(AccountManagerServicesRequest request, String data)`
Callback for notifying a request was successful.

## Method Details

### onRequestSuccessful

void onRequestSuccessful(AccountManagerServicesRequest request, String data)
Callback for notifying a request was successful.

Parameters:
  `request` - `AccountManagerServicesRequest` object.
  `data` - any relevant data depending on the request (for example SIP
  identity for account creation).

### onRequestError

void onRequestError(AccountManagerServicesRequest request, int statusCode, String errorMessage, Dictionary parameterErrors)
Callback for notifying a request has failed.

Parameters:
  `request` - `AccountManagerServicesRequest` object.
  `statusCode` - The error status code.
  `errorMessage` - An error message, if any.
  `parameterErrors` - A `Dictionary` with parameter specific errors, if
  any.

### onDevicesListFetched

void onDevicesListFetched(AccountManagerServicesRequest request, AccountDevice[] devicesList)
Callback for notifying when the
#LinphoneAccountManagerServicesRequestGetDevicesList request has results
available.

Parameters:
  `request` - `AccountManagerServicesRequest` object.
  `devicesList` - the of fetched devices.